Subject: [secdir] SECDIR review of draft-housley-number-registries-02

From: Yoav Nir <[email-masked]>
Date: Wed, 18 Dec 2013 06:31:43 +0000

I have reviewed this document as part of the security directorate's ongoing effort to review all IETF documents being processed by the IESG.  These comments were written primarily for the benefit of the security area directors.  Document editors and WG chairs should treat these comments just like any other last call comments.

TL;DR version: This document is ready

This document is an informational describing the current state of the three IANA numbers registry: the AS numbers, the IPv4 addresses, and the IPv6 addresses. As such, it repeats information currently in those IANA registries, and based on a cursory review of those registries, seems to do so accurately. All I can say security-wise is that I agree with the security considerations section: "It does not change the security posture of the Internet in any way."

Having read both the Abstract and the Introduction, I have to say that I don't understand who the target audience of this document is. Nowhere does it say what the value is of taking a snapshot of these registries as of early 2014. That said, while I don't see the utility, there is definitely no harm.

Yoav